Auth
Web Authn Request Credential
Start the WebAuthn registration process by requesting a credential.
GET
Start the WebAuthn registration process by requesting a credential.
cookie
storyden-session<token>account_handle*stringAccount handle.
curl -X GET 'https://example.com/api/auth/webauthn/make/southclaws'Example Response
{ "publicKey": { "rp": { "id": "string", "name": "string" }, "user": { "id": "string", "name": "string", "displayName": "string" }, "challenge": "string", "pubKeyCredParams": [ { "type": "public-key", "alg": 0 } ], "timeout": 0, "excludeCredentials": [ { "type": "public-key", "id": "string", "transports": [ "ble" ] } ], "authenticatorSelection": { "authenticatorAttachment": "platform", "residentKey": "discouraged", "requireResidentKey": true, "userVerification": "discouraged" }, "attestation": "direct", "extensions": {} }}Web Authn Make Credential POST
Complete WebAuthn registration by creating a new credential.
Account Add Role PUT
Add a role to an account. Requires MANAGE_ROLES. Assigning a role that grants ADMINISTRATOR additionally requires ADMINISTRATOR. The built-in admin role cannot be assigned to yourself, and the default member role cannot be assigned through this operation.